#if !defined(AFX_PHONEADDRDLG_H__27B3EE6C_CA2E_4313_B7DA_6BD7639292D0__INCLUDED_)
#define AFX_PHONEADDRDLG_H__27B3EE6C_CA2E_4313_B7DA_6BD7639292D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PhoneAddrDlg.h : header file
//

class CUdpSocket;

/////////////////////////////////////////////////////////////////////////////
// CPhoneAddrDlg dialog

class CPhoneAddrDlg : public CDialog
{
// Construction
public:
	CPhoneAddrDlg(CWnd* pParent = NULL);   // standard constructor
	static void CPhoneAddrDlg::ConvertAddress(BYTE * pSettings, CString& strwrite);
	static BOOL CPhoneAddrDlg::WrietAddressBook(BYTE * pSettings, CString str, int iIndex, bool bName);

	char m_pInfo[4096];
// Dialog Data
	//{{AFX_DATA(CPhoneAddrDlg)
	enum { IDD = IDD_PHONE_ADDR };
	CEdit	m_ctlSpeedDialEdit;
	CListCtrl	m_ctlPhoneAddr;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPhoneAddrDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int iSelectIndex;
	int iSelectCol;
	CString cStrEdit;

protected:
	// Generated message map functions
	//{{AFX_MSG(CPhoneAddrDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnDblclkPhoneAddr(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeSpeedDialEdit();
	virtual void OnOK();
	afx_msg void OnSpeedClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	void AddSpeedDial();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PHONEADDRDLG_H__27B3EE6C_CA2E_4313_B7DA_6BD7639292D0__INCLUDED_)
